﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain;

namespace DAL
{
    public class DbInitializer : DropCreateDatabaseIfModelChanges<AppDbContext>
    {
        protected override void Seed(AppDbContext context)
        {
            base.Seed(context);

            context.ContactTypes.Add(new ContactType() { ContactTypeValue = "Phone" });
            context.ContactTypes.Add(new ContactType() { ContactTypeValue = "Skype" });
            context.ContactTypes.Add(new ContactType() { ContactTypeValue = "Email" });
            context.SaveChanges();

            context.Persons.Add(new Person() { FirstName = "mAIT", LastName = "HaCkerMan" });
            context.Persons.Add(new Person() { FirstName = "anDres", LastName = "käveR" });
            context.SaveChanges();

            context.Contacts.Add(new Contact()
            {
                PersonId = context.Persons.First(p => p.FirstName.ToLower() == "andres").PersonId,
                ContactTypeId = context.ContactTypes.First(c => c.ContactTypeValue.ToLower() == "skype").ContactTypeId,
                ContactValue = "akaver"
            });
            context.Contacts.Add(new Contact()
            {
                PersonId = context.Persons.First(p => p.FirstName.ToLower() == "andres").PersonId,
                ContactTypeId = context.ContactTypes.First(c => c.ContactTypeValue.ToLower() == "Email").ContactTypeId,
                ContactValue = "akaver@akaver.com"
            });

            context.SaveChanges();
        }
    }
}
